const db = require('../models');
const Item = db.items;
const License = db.licenses;

// GET - /
exports.getIndex = async function(req, res) {
  // check if there's a limit set
  let limit = 10; // default to 10 results
  if ('limit' in req.query) {
    limit = req.query.limit;
  }

  // fetch inventory items from database
  const items = await Item.findAll({
    limit: limit,
    order: [
      ['updatedAt', 'DESC'],
    ],
  });

  // fetch licenses from database
  const licenses = await License.findAll({
    limit: limit,
    order: [
      ['updatedAt', 'DESC'],
    ],
  });

  // req.flash('info', 'This is a test flash message.');

  res.render('index.twig', {
    inventory: items,
    licenses: licenses,
    filters: {
      limit: limit,
    },
  });
};
