const db = require('../models');
const Item = db.items;
const License = db.licenses;
const {Op} = require('sequelize');

// GET - /search
exports.getSearch = async function(req, res) {
  // decode URL search query
  const query = req.query.query;

  // fetch inventory items from database based on search query
  const itemResults = await Item.findAll({
    where: {
      name: {
        [Op.like]: '%' + query + '%',
      },
    },
    limit: 10,
    order: [
      ['updatedAt', 'DESC'],
    ],
  });

  // fetch licenses from database based on search query
  const licenseResults = await License.findAll({
    where: {
      name: {
        [Op.like]: '%' + query + '%',
      },
    },
    limit: 10,
    order: [
      ['updatedAt', 'DESC'],
    ],
  });

  res.render('search.twig', {
    query: query,
    itemResults: itemResults,
    licenseResults: licenseResults,
  });
};
